package com.ruoyi.web.modules.industrypolicy.service;

import java.util.List;
import com.ruoyi.web.modules.industrypolicy.domain.BizIndustryPolicyPublicity;

/**
 * 产业政策宣传 Service
 */
public interface IBizIndustryPolicyPublicityService
{
    BizIndustryPolicyPublicity selectBizIndustryPolicyPublicityById(Long id);

    List<BizIndustryPolicyPublicity> selectBizIndustryPolicyPublicityList(BizIndustryPolicyPublicity query);

    int insertBizIndustryPolicyPublicity(BizIndustryPolicyPublicity row);

    int updateBizIndustryPolicyPublicity(BizIndustryPolicyPublicity row);

    int deleteBizIndustryPolicyPublicityByIds(Long[] ids);

    int publish(Long id);

    int offline(Long id);
}
